package routers

import (
	"ColdVerify_server/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	//   -----------3、用户管理
	//3.1用户账户只可以由管理员添加。
	//3.2管理员账户只可以有一个。
	//3.3用户可添加和删除子账号。
	//3.4用户可对子账号分配管理权限，包括：设备数据查看权限，设备运行参数修改权限。

	//-----------

	//---------管理员
	beego.Router("/Login_Admin_verification", &controllers.AccountController{}, "*:Login_Admin_verification") // 获取未读消息

	// ---- 用户
	beego.Router("/Login_verification", &controllers.AccountController{}, "*:Login_verification") // 获取未读消息

	// - 管理员
	beego.Router("/Admin/List", &controllers.AccountController{}, "*:List")         // 管理员列表
	beego.Router("/Admin/Add", &controllers.AccountController{}, "*:Add")           // 添加管理员
	beego.Router("/Admin/Up", &controllers.AccountController{}, "*:Up")             // 编辑管理员
	beego.Router("/Admin/Del", &controllers.AccountController{}, "*:Del")           // 删除管理员
	beego.Router("/Admin/List_All", &controllers.AccountController{}, "*:List_All") // 管理员所有列表

	// - 用户权限
	beego.Router("/UserPower/List_All", &controllers.AccountController{}, "*:UserPower_List_All") // 用户权限所有列表

}
